Bug 1000891 - DVD is oversized (larger than 4.7 GB)
DVD is oversized (larger than 4.7 GB)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
AcceptedBlocker
: Reopened
Depends On:
Blocks: F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-08-26 00:05 EDT by Andre Robatino
Modified: 2014-03-16 23:34 EDT (History)
9 users (show)

See Also:
Fixed In Version: pungi-3.03-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:55:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2013-08-26 00:05:17 EDT
Description of problem:

Fedora-20-Alpha-TC1-i386-DVD.iso : 5,174,722,560 bytes (5.175 GB)
Fedora-20-Alpha-TC1-x86_64-DVD.iso : 5,164,236,800 bytes (5.164 GB)

As indicated at https://fedoraproject.org/wiki/QA:Testcase_Mediakit_ISO_Size , the DVD size limit is 4,700,000,000 bytes = 4.7 GB.

Version-Release number of selected component (if applicable):
20 Alpha TC1
Comment 1 Andre Robatino 2013-08-28 23:34:44 EDT
Still oversized in 20 Alpha TC2.

Fedora-20-Alpha-TC2-i386-DVD.iso : 5,227,151,360 bytes (5.227 GB)
Fedora-20-Alpha-TC2-x86_64-DVD.iso : 5,217,714,176 bytes (5.218 GB)
Comment 2 Andre Robatino 2013-09-04 13:47:20 EDT
Still oversized in 20 Alpha TC3.

Fedora-20-Alpha-TC3-i386-DVD.iso : 5,228,199,936 bytes (5.228 GB)
Fedora-20-Alpha-TC3-x86_64-DVD.iso : 5,215,617,024 bytes (5.216 GB)
Comment 3 Andre Robatino 2013-09-05 10:04:20 EDT
Still oversized in 20 Alpha TC4.

Fedora-20-Alpha-TC4-i386-DVD.iso : 5,228,199,936 bytes (5.228 GB)
Fedora-20-Alpha-TC4-x86_64-DVD.iso : 5217714176 bytes (5.218 GB)
Comment 4 Andre Robatino 2013-09-08 15:50:29 EDT
Still oversized in 20 Alpha TC5.

Fedora-20-Alpha-TC5-i386-DVD.iso : 5,228,199,936 bytes (5.228 GB)
Fedora-20-Alpha-TC5-x86_64-DVD.iso : 5,217,714,176 bytes (5.218 GB)
Comment 5 Andre Robatino 2013-09-08 18:07:01 EDT
Automatic Beta Blocker according to https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers : "Any release-blocking Beta or Final TC/RC image exceeding its target size (failures of QA:Testcase_Mediakit_ISO_Size)".
Comment 6 Andre Robatino 2013-09-11 14:22:01 EDT
Still oversized in 20 Alpha RC1.

Fedora-20-Alpha-i386-DVD.iso : 5,218,762,752 bytes (5.219 GB)
Fedora-20-Alpha-x86_64-DVD.iso : 5,209,325,568 bytes (5.209 GB)
Comment 7 Andre Robatino 2013-09-12 06:13:59 EDT
Still oversized in 20 Alpha RC2.

Fedora-20-Alpha-i386-DVD.iso : 5,218,762,752 bytes (5.219 GB)
Fedora-20-Alpha-x86_64-DVD.iso : 5,209,325,568 bytes (5.209 GB)
Comment 8 Andre Robatino 2013-09-16 22:15:09 EDT
Still oversized in 20 Alpha RC3.

Fedora-20-Alpha-i386-DVD.iso : 5,183,111,168 bytes (5.183 GB)
Fedora-20-Alpha-x86_64-DVD.iso : 5,172,625,408 bytes (5.173 GB)
Comment 9 Andre Robatino 2013-09-18 21:03:54 EDT
Still oversized in 20 Alpha RC4.

Fedora-20-Alpha-i386-DVD.iso : 5,184,159,744 bytes (5.184 GB)
Fedora-20-Alpha-x86_64-DVD.iso : 5,173,673,984 bytes (5.174 GB)
Comment 10 Andre Robatino 2013-10-03 03:07:11 EDT
Still oversized in 20 Beta TC1.

Fedora-20-Beta-i386-DVD.iso : 5,164,236,800 bytes (5.164 GB)
Fedora-20-Beta-x86_64-DVD.iso : 5,154,799,616 bytes (5.155 GB)
Comment 11 Jaroslav Reznik 2013-10-03 06:35:17 EDT
It's a bit down from Alpha RC4 but still pretty much oversized. Bill, do you have a time to take a look for difference between F19 and F20 to check if there's some clear suspect or if we want to start another thread on devel to cut down stuff. I'll try to take a look too meanwhile, just my eye would be a bit more blind on this ;-).
Comment 12 Jaroslav Reznik 2013-10-03 07:49:53 EDT
Ok, got it - gimp-help-* translations takes 582076944 bytes, without them, we would be again under 4.7 GB.
Comment 13 Bill Nottingham 2013-10-03 10:50:39 EDT
Dropped.
Comment 14 Andre Robatino 2013-10-08 12:39:31 EDT
Still oversized in 20 Beta TC2.

Fedora-20-Beta-TC2-i386-DVD.iso : 5,169,479,680 bytes (5.169 GB)
Fedora-20-Beta-TC2-x86_64-DVD.iso : 5,160,042,496 bytes (5.160 GB)
Comment 15 Bill Nottingham 2013-10-08 13:34:44 EDT
If the '-gimp-help*' in the kickstart doesn't do it, they would need excluded in the %repo lines, which can't be done in the kickstart (AIUI) becuase that is rewritten as part of the compose. Dennis?
Comment 16 Mike Ruckman 2013-10-09 17:24:03 EDT
Discussed this in 2013-10-09 Blocker Review Meeting [1]. Waiting on more information as this progresses. Will revisit next meeting.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-09/
Comment 17 Jaroslav Reznik 2013-10-10 05:02:25 EDT
(In reply to Bill Nottingham from comment #15)
> If the '-gimp-help*' in the kickstart doesn't do it, they would need
> excluded in the %repo lines, which can't be done in the kickstart (AIUI)
> becuase that is rewritten as part of the compose. Dennis?

Was the latest kickstart used to build TC2? Dennis, could you check it? At least I don't see it in the TC2 request (and I'm not sure if latest is always used or not).

Adding nils to CC as gimp-help owner.
Comment 18 Adam Williamson 2013-10-10 05:05:50 EDT
"Was the latest kickstart used to build TC2? Dennis, could you check it? At least I don't see it in the TC2 request (and I'm not sure if latest is always used or not)."

I did put "Make sure to use latest comps and spin-kickstarts. Thanks!" in the TC request. Not sure if dennis caught it, but they do _usually_ use a fairly recent checkout.
Comment 19 Nils Philippsen 2013-10-10 09:17:51 EDT
I don't know what I could do about this, as gimp-help, its translations and even gimp-help-browser are optional, i.e. can be left out for live media or reduced installations.
Comment 20 Jaroslav Reznik 2013-10-14 10:23:38 EDT
Seems like fix is causing Pungi issues, dgilmore is taking look.
Comment 21 Andre Robatino 2013-10-14 12:52:32 EDT
Still oversized in 20 Beta TC4.

Fedora-20-Beta-TC4-i386-DVD.iso : 5,172,625,408 bytes (5.173 GB)
Fedora-20-Beta-TC4-x86_64-DVD.iso : 5,163,188,224 bytes (5.163 GB)
Comment 22 Andre Robatino 2013-10-17 10:32:58 EDT
Oversized in 20 Beta TC5.

Fedora-20-Beta-TC5-i386-DVD.iso : 5,244,977,152 bytes (5.245 GB)
Fedora-20-Beta-TC5-x86_64-DVD.iso : 5,170,528,256 bytes (5.171 GB)
Comment 23 Jaroslav Reznik 2013-10-21 08:48:26 EDT
Dennis, did you have time to take a look on the Pungi issue?
Comment 24 Andre Robatino 2013-10-26 12:09:48 EDT
Oversized in 20 Beta TC6.

Fedora-20-Beta-TC6-i386-DVD.iso : 5,239,734,272 bytes (5.240 GB)
Fedora-20-Beta-TC6-x86_64-DVD.iso : 5,165,285,376 bytes (5.165 GB)
Comment 25 Jaroslav Reznik 2013-10-29 08:18:00 EDT
For update - dmach created a new pungi release, should be picked up by releng (or parts of it).
Comment 26 Fedora Update System 2013-10-31 14:55:49 EDT
pungi-3.01-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pungi-3.01-1.fc20
Comment 27 Tao Wu 2013-11-01 04:32:08 EDT
The path /updates/pungi-3.01-1.fc20 cannot be found. pungi-3.01-1.fc20 can not be verified.
Comment 28 Andre Robatino 2013-11-01 08:44:35 EDT
The same as this build:

https://admin.fedoraproject.org/updates/pungi-3.03-1.fc20

which was edited. For some reason it doesn't have a FEDORA-2013-????? ID so I can't give a permanent URL, but found it just by searching for pungi packages in bodhi.
Comment 29 Fedora Update System 2013-11-01 16:25:07 EDT
Package pungi-3.03-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pungi-3.03-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20450/pungi-3.03-1.fc20
then log in and leave karma (feedback).
Comment 30 Andre Robatino 2013-11-01 20:19:29 EDT
Under size limit in 20 Beta RC2. I guess this should stay open until the pungi update goes to stable?

Fedora-20-Beta-i386-DVD.iso : 4,656,726,016 bytes (4.657 GB)
Fedora-20-Beta-x86_64-DVD.iso : 4,581,228,544 bytes (4.581 GB)
Comment 31 Fedora Update System 2013-11-08 23:26:12 EST
pungi-3.03-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Andre Robatino 2013-12-12 02:18:03 EST
i386 is oversized in 20 Final RC1.

Fedora-20-i386-DVD.iso : 4,766,826,496 bytes (4.767 GB)
Fedora-20-x86_64-DVD.iso : 4,690,280,448 bytes (4.690 GB)
Comment 33 Andre Robatino 2013-12-12 02:18:58 EST
Automatic Final Blocker according to https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers : "Any release-blocking Beta or Final TC/RC image exceeding its target size (failures of QA:Testcase_Mediakit_ISO_Size)".
Comment 34 Andre Robatino 2013-12-12 13:25:05 EST
Within size limit in 20 Final RC1.1.

Fedora-20-i386-DVD.iso : 4,679,794,688 bytes (4.680 GB)
Fedora-20-x86_64-DVD.iso : 4,603,248,640 bytes (4.603 GB)
Comment 35 Adam Williamson 2013-12-13 21:55:28 EST
we're done here.

Note You need to log in before you can comment on or make changes to this bug.